From 58052e0e04ee1b5fdb1027ebc19717e7766825ec Mon Sep 17 00:00:00 2001
From: "Igor V. Kovalenko" <igor.v.kovalenko@gmail.com>
Date: Mon, 21 Jun 2021 02:32:41 +0300
Subject: [PATCH] build-sys: meson: require GIO dependency for RTP-GStreamer

Part-of: <https://gitlab.freedesktop.org/pulseaudio/pulseaudio/-/merge_requests/584>
---
 meson.build             | 6 ++++--
 src/modules/meson.build | 2 +-
 2 files changed, 5 insertions(+), 3 deletions(-)

diff --git a/meson.build b/meson.build
index fdd8bf655..61660b981 100644
--- a/meson.build
+++ b/meson.build
@@ -614,8 +614,9 @@ if dbus_dep.found()
   cdata.set('HAVE_DBUS', 1)
 endif
 
-gio_dep = dependency('gio-2.0', version : '>= 2.26.0', required : get_option('gsettings'))
-if gio_dep.found()
+gio_dep = dependency('gio-2.0', version : '>= 2.26.0')
+if get_option('gsettings').enabled()
+  assert(gio_dep.found(), 'GSettings support needs glib I/O library (GIO)')
   cdata.set('HAVE_GSETTINGS', 1)
 endif
 
@@ -760,6 +761,7 @@ gstrtp_dep = dependency('gstreamer-rtp-1.0', required : get_option('gstreamer'))
 
 have_gstreamer = false
 if gst_dep.found() and gstapp_dep.found() and gstrtp_dep.found()
+  assert(gio_dep.found(), 'GStreamer-based RTP needs glib I/O library (GIO)')
   have_gstreamer = true
 endif
 
diff --git a/src/modules/meson.build b/src/modules/meson.build
index 9c498a4e1..e7db573b6 100644
--- a/src/modules/meson.build
+++ b/src/modules/meson.build
@@ -161,7 +161,7 @@ if dbus_dep.found() and fftw_dep.found()
   ]
 endif
 
-if gio_dep.found()
+if get_option('gsettings').enabled() and gio_dep.found()
   subdir('gsettings')
   all_modules += [
     [ 'module-gsettings',
-- 
GitLab

